<div class="wrap">
	<h1><?php _e("WP Go Maps Support","wp-google-maps"); ?></h1>
	<div id="wpgmza-support__row" class="wpgmza_row">
		<div class='wpgmza_row_col wpgmza-support__col'>
			<div class="wpgmza-card">
				<h2>
					<i class="fa fa-book"></i> 
					<?php _e("Documentation","wp-google-maps"); ?>
				</h2>
				<p>
					<?php _e("Getting started? Read through some of these articles to help you along your way.","wp-google-maps"); ?>
				</p>
				<p>
					<strong>
						<?php _e("Documentation:","wp-google-maps"); ?>
					</strong>
				</p>
				<ul>
					<li>
						<a href='https://docs.wpgmaps.com/creating-your-first-map' 
							target='_BLANK' 
							title='<?php _e("Creating your first map","wp-google-maps"); ?>'>
							<?php
							_e("Creating your first map","wp-google-maps"); 
							?>
						</a>
					</li>
					<li>
						<a href='https://docs.wpgmaps.com/adding-gutenberg-blocks'
							target='_BLANK' 
							title='<?php _e("Adding a Map Block","wp-google-maps"); ?>'>
							<?php
							_e("Adding a Map Block","wp-google-maps");
							?>
						</a>
					</li>
					
					<li>
						<a href='https://docs.wpgmaps.com/using-your-map-in-a-widget'
							target='_BLANK' 
							title='<?php _e("Using your map as a Widget","wp-google-maps"); ?>'>
							<?php
							_e("Using your map as a Widget","wp-google-maps");
							?>
						</a>
					</li>
					<li>
						<a href='https://docs.wpgmaps.com/how-do-i-change-the-wp-go-maps-plugin-language' 
							target='_BLANK' 
							title='<?php _e("Changing the Google Maps language","wp-google-maps"); ?>'>
							<?php 
							_e("Changing the Google Maps language","wp-google-maps"); 
							?>
						</a>
					</li>
					<li>
						<a href='https://docs.wpgmaps.com/'
							target='_BLANK' 
							title='<?php _e("WP Go Maps Documentation","wp-google-maps"); ?>'>
							<?php 
							_e("View all documentation.","wp-google-maps"); 
							?>
						</a>
					</li>
				</ul>
			</div>
		</div>
		<div class='wpgmza_row_col wpgmza-support__col'>
			<div class="wpgmza-card">
				<h2>
					<i class="fa fa-exclamation-circle"></i>
					<?php 
					_e("Troubleshooting","wp-google-maps"); 
					?>
				</h2>
				<p>
					<?php 
					_e("WP Go Maps has a diverse and wide range of features which may, from time to time, run into conflicts with the thousands of themes and other plugins on the market.","wp-google-maps"); 
					?>
				</p>
				<p>
					<strong>
						<?php _e("Common issues:","wp-google-maps"); ?>
					</strong>
				</p>
				<ul>
					<li>
						<a href='https://docs.wpgmaps.com/my-map-is-not-showing-on-my-website' target='_BLANK' title='<?php _e("My map is not showing on my website","wp-google-maps"); ?>'><?php _e("My map is not showing on my website","wp-google-maps"); ?></a>
					</li>
					<li>
						<a href='https://docs.wpgmaps.com/markers-are-not-showing-on-my-map-on-the-front-end' target='_BLANK' title='<?php _e("My markers are not showing on my map in the front-end","wp-google-maps"); ?>'><?php _e("My markers are not showing on my map in the front-end","wp-google-maps"); ?></a>
					</li>
					<li>
						<a href='https://docs.wpgmaps.com/im-getting-a-jquery-not-found-error' target='_BLANK' title='<?php esc_attr_e("I'm getting jQuery errors showing on my website","wp-google-maps"); ?>'><?php _e("I'm getting jQuery errors showing on my website","wp-google-maps"); ?></a>
					</li>
				</ul>
			</div>
		</div>
		<div class='wpgmza_row_col wpgmza-support__col'>
			<div class="wpgmza-card">
				<h2><i class="fa fa-bullhorn "></i> <?php _e("Support","wp-google-maps"); ?></h2>
				<p><?php _e("Still need help? Use one of these links below.","wp-google-maps"); ?></p>
				<ul>
					<li><a href='https://www.wpgmaps.com/forums/' target='_BLANK' title='<?php _e("Support forum","wp-google-maps"); ?>'><?php _e("Support forum","wp-google-maps"); ?></a></li>
					<li><a href='https://www.facebook.com/groups/wpgooglemaps' target='_BLANK' title='<?php _e("Support forum","wp-google-maps"); ?>'><?php _e("Facebook Community","wp-google-maps"); ?></a></li>
					<li><a href='https://www.reddit.com/r/wpgooglemaps/' target='_BLANK' title='<?php _e("Support forum","wp-google-maps"); ?>'><?php _e("Reddit Community","wp-google-maps"); ?></a></li>
					<li><a href='https://www.wpgmaps.com/contact-us/' target='_BLANK' title='<?php _e("Contact us","wp-google-maps"); ?>'><?php _e("Contact us","wp-google-maps"); ?></a></li>
				</ul>
			</div>
		</div>
	</div>
	<div id="wpgmza-support__row_alt" class="wpgmza_row">
		<div class='wpgmza_row_col wpgmza-support__col'>
			<div class="wpgmza-card">
				<h2><i class="fa fa-bullhorn "></i> <?php _e("System Info","wp-google-maps"); ?></h2>
				<p><?php _e("Our support team may ask for the following information to provide you with better support", "wp-google-maps"); ?></p>
				<pre class="system-info"></pre>
				<div>
					<div class="wpgmza button wpgmza-copy-sysinfo"><?php _e("Copy Info", "wp-google-maps"); ?></div> 
				</div>
			</div>
		</div>
	</div>
</div>
